#
# Makefile_defs_x86_64
#
# A copy of Makefile_defs_ubuntu so that 'make' alone does as
# expected on a 64-bit system.

# Definitions which work for a Ubuntu (Debian derivative) linux system.
# Last tested with Ubuntu 10.04.
#
# Always run make ARCH=platform from the top-level savi directory.
#
# Ubuntu includes gcc by default, but not standard C library
# header files or Tcl/Tk and the Tcl/Tk header files for compiling
# programs. Install those before compiling SaVi.
#
# zlib also needs to be installed if -lz is to be used.
#
# If using the command line rather than the graphical package manager:
# sudo apt-get install build-essentials tcl tk tcl-dev tk-dev zlib1g-dev
# make ARCH=ubuntu
#
# $Id: Makefile_defs_x86_64,v 1.2 2011/04/26 20:41:31 lloydwood Exp $


########################################################
#                                                      #
# Set machine type -- suffix for savi                  #
#                                                      #
########################################################
MACH = ubuntu

########################################################
#                                                      #
# set CC to an ANSI C compiler                         #
#                                                      #
########################################################
CC = gcc

########################################################
#                                                      #
# set TCL_INCLUDES so that the compiler can            #
# find the tcl.h and tk.h                              #
#                                                      #
# If tcl/tk is installed in a standard place           #
# it is not necessary to set this. You may need to     #
# change the numbers to match your version of tcl/tk.  #
# The numbers in the topmost savi script should also   #
# match.                                               #
#                                                      #
########################################################
TCL_INCLUDES = -I/usr/include/tcl8.5 -I/usr/include/tk8.5

########################################################
#                                                      #
# set TCL_LIBS so that the compiler can find           #
# libtcl.a and libtk.a. Alter to suit - see above.     #
#                                                      #
########################################################
# Debian requires a dot here: -ltcl8.4 -ltk8.4
# as does Red Hat Enterprise.

TCL_LIBS = -ltcl8.5 -ltk8.5

# TCL_LIBS = -ltcl -ltk
# is a generic alternative to try.


########################################################
#                                                      #
# Set OTHER_LIBS so that any other stuff needing to    #
# be linked in will be!                                #
#                                                      #
########################################################
OTHER_LIBS = -ldl

# OTHER_LIBS = -lz
# if zlib compression of textures to Geomview is desired.
# OTHER_LIBS = -static
